.project-filter-module {
    width: 100%;
}

.filter-row {
    display: flex;
    margin: 10px;
}

.filter-zip,
.filter-type,
.filter-org {
    padding: 1%;
    color: #fff;
}

.filter-zip {
    flex: 1.5 1 0;
    background-color: #005289;
}

.filter-type {
    flex: 1.25 1 0;
    background-color: #12A5B3;
}

.filter-org {
    flex: 1.25 1 0;
    background-color: #005289;
}

.filter-row label {
    display: block;
    margin-bottom: 18px;
    font-weight: 400;
    font-size: 22px;
}

.zip-search-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    overflow: visible;
}

.zip-input-wrapper {
    position: relative;
    flex: 1;
}


.zip-suggestions {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: white;
    color: black;
    border: 1px solid #ddd;
    max-height: 200px;
    overflow-y: auto;
    z-index: 9999;
    display: none;
}

.zip-suggestion-item {
    padding: 10px;
    cursor: pointer;
    font-size: 14px;
}


.zip-input-wrapper input {
    width: 100%;
    padding: 11px;
    border: none;
    outline: none;
    font-size: 1em;
}

.zip-suggestion-item:hover {
    background: #f3f3f3;
}

.location-btn {
    position: absolute;
    right: 0px;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.jsf-location-distance__location-icon {
    width: 20px;
    height: 20px;
    fill: #666;
}

.distance-dropdown {
    width: 80px;
    border: none;
    background: #fff;
    padding: 11px;
    cursor: pointer;
    font-size: 14px;
    appearance: none;
    text-align: center;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.distance-dropdown option{
    padding: 20px !important;
}

.filter-type select {
    width: 100%;
    padding: 7px;
    border: none;
    outline: none;
    font-size: 1rem;
    color: #8A8A8A;
}

.filter-org select {
    width: 100%;
    padding: 7px;
    border: none;
    outline: none;
    font-size: 1rem;
    color: #8A8A8A;
}


.reset-btn {
    margin-top: 15px;
    padding: 10px 16px;
    background: #19a7b8;
    border: none;
    color: white;
    cursor: pointer;
    font-weight: 600;
    display: none;
    width: 100%;
}

.projects-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin: 10px;
}

.project-card {
    display: block;
    text-decoration: none;
    background: #fff;
    color: #000;
}

.project-image img {
    width: 100%;
    display: block;
    height: 55vh;
    object-fit: cover;
}

.project-title {
    background: #005289;
    color: white;
    font-weight: 400;
    height: 100px;
    align-items: center;
    font-size: 18px;
    line-height: 1.2em;
    display: flex;
    justify-content: flex-start;
    padding-left: 25px;
}

.project-title:hover{
    background: #12A5B3 ;
}

.no-results {
    text-align: center;
    padding: 40px;
    display: none;
    font-size: 18px;
}


@media (max-width:900px) {

    .filter-row {
        flex-direction: column;
        margin: 15px !important;
    }

    .projects-grid {
        grid-template-columns: 1fr;
        margin: 15px;
    }

    .filter-row {
        display: flex;
        gap: 15px !important;
    }

    .filter-zip,
    .filter-type,
    .filter-org {
        padding: 4%;
        color: #fff;
    }

    .filter-org{
        margin-bottom: 40px !important;
    }


    .filter-row label {
        display: block;
        margin-bottom: 18px;
        font-weight: 400;
        font-size: 28px !important;
    }

}

@media (max-width:768px){
    .project-image img{
        height: 50vh !important;
    }
}

.dnd-column {
  padding: 0 !important;
